{
  lib,
  osConfig,
  pkgs,
  ...
}: let
  inherit (lib) mkIf;

  cfg = osConfig.myOptions.home-manager.programs.vesktop;
in {
  config = mkIf cfg.enable {
    home.packages = with pkgs; [ vesktop ];

    xdg.configFile = {
      "vesktop/settings.json".text = builtins.toJSON {
          discordBranch = "stable"; # consider "ptb"
          firstLaunch = false;
          arRPC = "on";
          splashColor = "rgb(219, 222, 225)";
          splashBackground = "rgb(49, 51, 56)";
          checkUpdates = false;
          staticTitle = true;
          disableMinSize = true;
          minimizeToTray = false;
          tray = false;
          appBadge = false;
      };

      "autostart/vesktop.desktop" = mkIf cfg.autoStart {
        source = "${pkgs.vesktop}/share/applications/vesktop.desktop";
      };
    };
  };
}
